hilbertcd.h File Reference

Provides a modified Contejean-Devie algorithm for Hilbert basis enumeration. More...

`#include "regina-core.h"`
`#include "maths/ray.h"`
`#include <iterator>`
`#include <list>`
`#include <vector>`
`#include "enumerate/hilbertcd-impl.h"`

## Classes

class | regina::HilbertCD
| Implements a modified Contejean-Devie algorithm for enumerating Hilbert bases. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Typedefs

typedef HilbertCD | regina::NHilbertCD
| Deprecated typedef for backward compatibility. More...

## Detailed Description

Provides a modified Contejean-Devie algorithm for Hilbert basis enumeration.

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).